<?php

if(! defined('OT_ROOT')) {
	exit('Access Denied');
}


class AppXcx{
	public static $appName = '小程序基础包';
	public static $appID = 175;

	public static function Jud(){
		return false;
	}

	public static function Show($str, $def=''){
			return $def;
	}

	public static function TypeCN($str){
		switch ($str){
			case 'weixin':		return '微信';
			case 'douyin':		return '抖音';
			case 'alipay':		return '支付宝';
			case 'aliyunpan':	return '阿里云盘';
			default:			return '['. $str .']';
		}
	}

	public static function SharePostArr(){
	}

	public static function KeyPartToKey($str){
	}

	public static function CheckSign($fieldArr=array()){
	}

	public static function ErrBox($str=''){
		$dataArr = array();
		$dataArr['res']		= false;
		$dataArr['note']	= $str;
		die( json_encode($dataArr) );
	}

	public static function ChkApiUser($id=0, $username='', $sqlField=''){
		$retArr = array('res' => false, 'note' => '', 'data' => null);
		return $retArr;
	}

	public static function ChkUser($userID, $openid, $key, $sqlField=''){
		$retArr = array('res' => false, 'note' => '', 'data' => null);
		$retArr['note'] = StrInfo::AlertStr('noApp');

		return $retArr;
	}

	public static function ChkFamily($userID, $familyID){
		$retArr = array('res' => false, 'note' => '');
		$retArr['note'] = StrInfo::AlertStr('noApp');

		return $retArr;
	}

	public static function Login(){
		AppXcx::ErrBox(StrInfo::AlertStr('noApp'));

	}

	public static function RevUserInfo(){
		AppXcx::ErrBox(StrInfo::AlertStr('noApp'));
	}

	public static function LeftMenuNoteBox(){

	}

	public static function StatiArr($type = '', $apiID = 0, $list = ''){
		global $DB;

		$todayDate	= TimeDate::Get('date');
		$date_1		= TimeDate::Add('d',-1,$todayDate);
		$date_12	= $date_1 .' 23:59:59';
		$monthDate	= TimeDate::Add('d',-30,$todayDate);
		$weekDate	= TimeDate::Add('d',-7,$todayDate);

		$retArr = array(
			'userNum' => -1, 
			'userMonth' => -1, 'userWeek' => -1, 'user_1' => -1, 'user0' => -1, 
			'userAddMonth' => -1, 'userAddWeek' => -1, 'userAdd_1' => -1, 'userAdd0' => -1, 
			'tixingNum' => -1, 'tixing_1' => -1, 'tixing0' => -1, 
			'dingyueNum' => -1, 'dingyue_1' => -1, 'dingyue0' => -1, 'dingyue_11' => -1, 'dingyue_19' => -1, 'dingyue01' => -1, 'dingyue09' => -1, 
			'familyNum' => -1, 'family_1' => -1, 'family0' => -1, 
			'yaopinNum' => -1, 'yaopin_1' => -1, 'yaopin0' => -1, 
			'babyNum' => -1, 'baby_1' => -1, 'baby0' => -1, 
			'feed_1' => -1, 'feed0' => -1, 'feedUser_1' => -1, 'feedUser0' => -1, 'feedBaby_1' => -1, 'feedBaby0' => -1, 
			'deve_1' => -1, 'deve0' => -1, 'deveUser_1' => -1, 'deveUser0' => -1, 'deveBaby_1' => -1, 'deveBaby0' => -1, 
			'note_1' => -1, 'note0' => -1, 'noteUser_1' => -1, 'noteUser0' => -1, 'noteBaby_1' => -1, 'noteBaby0' => -1, 
			'memberNum' => -1, 'member_1' => -1, 'member0' => -1, 
			'day_1' => -1, 'day0' => -1, 'dayUser_1' => -1, 'dayUser0' => -1, 'dayBaby_1' => -1, 'dayBaby0' => -1, 
			'record_1' => -1, 'record0' => -1, 'recordUser_1' => -1, 'recordUser0' => -1, 'recordBaby_1' => -1, 'recordBaby0' => -1, 
			);

		return $retArr;
	}

	public static function Stati($type = ''){

	}

	public static function LoadSys(){

	}

	public static function ApiOptionStr($def='',$mode=''){
	}

	public static function NewsData(){

	}
}
?>